Draft: Dividi

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Split and the translation is 20% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский
Arrow-left.svg Pagina precedente: Draft Join.svg Unisci
Pagina successiva: Promuovi Draft Upgrade.svg Arrow-right.svg

Draft Split.svg Dividi

Posizione nel menu
Draft → Dividi
Ambiente
Draft
Avvio veloce
S P
Introdotto nella versione
0.18
Vedere anche
Unisci

Descrizione

Lo strumento Draft Split.svg Dividi tenta di dividere un contorno esistente su uno spigolo o un punto specificato.

Utilizzo

  1. Premere il pulsante Draft Split.svg Dividi o premere i tasti S e poi P.
  2. Cliccare su un contorno dove si vuole dividerlo.

Notes

La controparte di questo strumento è l'operazione Draft Join.svg Unisci.

Scripting

Lo strumento Dividi può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

split(wire, newPoint, edgeIndex)
  • wire the wire object to be split.
  • newPoint the point where the split should occur.
  • edgeIndex index of the edge where the split should occur (1-based).

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(500, 0, 0)
p3 = App.Vector(250, 0, 0)

wire = Draft.make_wire([p1, p2])

Draft.split(wire, p3, 1)
doc.recompute()


Arrow-left.svg Pagina precedente: Draft Join.svg Unisci
Pagina successiva: Promuovi Draft Upgrade.svg Arrow-right.svg